%define kdeprefix /usr
%define version 1.4.6
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  kless
Name: %{kdename}
Summary: KLess - graphical pager
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/utils/%{kdename}-%{version}.tgz
Patch0: kless-1.4.6-buildroot.patch
License: GPL
URL: http://linux-ag.et-inf.fho-emden.de/kless/kless_en.html
Group: Development/Debuggers
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KLess is a pager program.  It provides functionality like the
console-based programs "more" and "less," but in an interactive,
graphical manner.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .buildroot

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







